Bug 25041 - Links to 'pending' #ASKED tab in suggestions.pl is broken
Summary: Links to 'pending' #ASKED tab in suggestions.pl is broken
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Acquisitions (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-04-02 11:32 UTC by Nick Clemens
Modified: 2020-05-01 17:35 UTC (History)
1 user (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00


Attachments
Bug 25041: Restore #ASKED anchor in suggestions table (2.26 KB, patch)
2020-04-03 09:46 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 25041: Restore #ASKED anchor in suggestions table (2.32 KB, patch)
2020-04-04 21:05 UTC, David Nind
Details | Diff | Splinter Review
Bug 25041: Restore #ASKED anchor in suggestions table (2.37 KB, patch)
2020-04-06 14:58 UTC, Nick Clemens
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nick Clemens 2020-04-02 11:32:25 UTC
To recreate:
1 - Add several suggestions to Koha
2 - Set them in different status, leaving at least one pending
3 - Go to home page, note it shows count of pending
4 - Click the link on home page
5 - It does not take you to correct tab

#ASKED anchor for tab was removed by:
commit 4494e8ba6ca7d28972fcc1161c680ecf0b091f62
BUg 23594
Comment 1 Jonathan Druart 2020-04-03 09:46:00 UTC
Created attachment 102337 [details] [review]
Bug 25041: Restore #ASKED anchor in suggestions table

On commit 4494e8ba6ca7d28972fcc1161c680ecf0b091f62
   Bug 23594: Batch modification for itemtypes on suggestions page
The anchors of the tabs on suggestion.pl has been replaced with
tab_$count instead of the status code.
There was a need at the time, but I cannot remember it.
I restored the previous behavior, and did not find any regressions.

Test plan:
1 - Add several suggestions to Koha
2 - Set them in different status, leaving at least one pending
3 - Go to home page, note it shows count of pending
4 - Click the link on home page
5 - It takes you to correct tab
Comment 2 David Nind 2020-04-04 21:05:45 UTC
Created attachment 102402 [details] [review]
Bug 25041: Restore #ASKED anchor in suggestions table

On commit 4494e8ba6ca7d28972fcc1161c680ecf0b091f62
   Bug 23594: Batch modification for itemtypes on suggestions page
The anchors of the tabs on suggestion.pl has been replaced with
tab_$count instead of the status code.
There was a need at the time, but I cannot remember it.
I restored the previous behavior, and did not find any regressions.

Test plan:
1 - Add several suggestions to Koha
2 - Set them in different status, leaving at least one pending
3 - Go to home page, note it shows count of pending
4 - Click the link on home page
5 - It takes you to correct tab

Signed-off-by: David Nind <david@davidnind.com>
Comment 3 Nick Clemens 2020-04-06 14:58:31 UTC
Created attachment 102462 [details] [review]
Bug 25041: Restore #ASKED anchor in suggestions table

On commit 4494e8ba6ca7d28972fcc1161c680ecf0b091f62
   Bug 23594: Batch modification for itemtypes on suggestions page
The anchors of the tabs on suggestion.pl has been replaced with
tab_$count instead of the status code.
There was a need at the time, but I cannot remember it.
I restored the previous behavior, and did not find any regressions.

Test plan:
1 - Add several suggestions to Koha
2 - Set them in different status, leaving at least one pending
3 - Go to home page, note it shows count of pending
4 - Click the link on home page
5 - It takes you to correct tab

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 4 Martin Renvoize 2020-04-08 10:55:37 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 5 Joy Nelson 2020-05-01 17:35:32 UTC
not needed in 19.11 and prior - not backported